Bug 16445 - Bug 12478 has added an unnecessary line to Koha/Database.pm
Summary: Bug 12478 has added an unnecessary line to Koha/Database.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12478
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-04 19:44 UTC by Jonathan Druart
Modified: 2016-12-05 21:22 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16445: Revert changes made by bug 12478 to Koha/Database.pm (1.13 KB, patch)
2016-05-04 19:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16445: Revert changes made by bug 12478 to Koha/Database.pm (1.18 KB, patch)
2016-05-04 21:08 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 16445: Revert changes made by bug 12478 to Koha/Database.pm (1.25 KB, patch)
2016-05-05 19:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-05-04 19:44:54 UTC
From commit 95dabf4bfd15f6aed149c17546c00083063a01c1
  Bug 12478 - add some base objects that the ES code will depend on

+our $schema; # the schema is a singleton

This is not needed
Comment 1 Jonathan Druart 2016-05-04 19:47:32 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2016-05-04 21:08:42 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-05-05 19:46:51 UTC
Created attachment 51255 [details] [review]
[PASSED QA] Bug 16445: Revert changes made by bug 12478 to Koha/Database.pm

These changes were a mistake, let's revert them.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-05-05 19:51:29 UTC
Pushed to Master - should be in the May 2016 Release.  thanks!
Comment 5 Julian Maurice 2016-05-16 09:35:22 UTC
Not needed in stable versions, status changed to RESOLVED